summaryrefslogtreecommitdiffstats
path: root/libraries/adns
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2022-04-11 22:34:38 +1200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-16 12:12:37 +0700
commiteb3b8a31549da2d2ff301f3bc1b4814079e3fce6 (patch)
treed894cec2bbf2ef48a861b402b6ecb72e043d14e6 /libraries/adns
parentad4940636b48191246b49bbc442a56f1244e4a22 (diff)
downloadslackbuilds-eb3b8a31549da2d2ff301f3bc1b4814079e3fce6.tar.gz
slackbuilds-eb3b8a31549da2d2ff301f3bc1b4814079e3fce6.tar.xz
libraries/adns: Fix empty package.
d189b4df7a broke this package such that we ended up with no libs being installed. It seems the install-strip target does not work properly. We'll simply use the template code to strip the binaries instead. I added back the deleting of the .a files which was removed in that commit too, since they are back now that the package is not empty. Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/adns')
-rw-r--r--libraries/adns/adns.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/libraries/adns/adns.SlackBuild b/libraries/adns/adns.SlackBuild
index 4e073e26cc..0170604b05 100644
--- a/libraries/adns/adns.SlackBuild
+++ b/libraries/adns/adns.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=adns
VERSION=${VERSION:-1.6.0}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -93,9 +93,12 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
-#find $PKG -name \*\.a -type f -delete
+find $PKG -name \*\.a -type f -delete
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \